#### Use two appenders, one to log to console, another to log to a file, and put the level to info
log4j.rootCategory=INFO, stdout, R

#### First appender writes to console
log4j.appender.stdout=org.apache.log4j.ConsoleAppender
log4j.appender.stdout.layout=org.apache.log4j.PatternLayout

# Pattern to output the millis since start of the program, the calling thread,
# the priority of the log statement, the last 2 components of the Category (class name), then the message.
log4j.appender.stdout.layout.ConversionPattern=[%t] %5p %c{2}:%m%n

#### Second appender writes to a file
log4j.appender.R=org.apache.log4j.RollingFileAppender
log4j.appender.R.File=KEdit.log

# Control the maximum log file size
log4j.appender.R.MaxFileSize=100KB
# Archive log files (five backup files here)
log4j.appender.R.MaxBackupIndex=5

log4j.appender.R.layout=org.apache.log4j.PatternLayout
log4j.appender.R.layout.ConversionPattern=%d{ISO8601} [%t] %5p %c{2}:%m%n